juzu.request

## Class ActionContext

- java.lang.Object
- - juzu.request.RequestContext
  - - juzu.request.ActionContext

-     public class ActionContext
      extends RequestContext

  Author:
    Julien Viet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActionContext(juzu.impl.request.Request request, juzu.impl.request.Method method, juzu.impl.bridge.spi.ActionBridge bridge)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Response.View` | `createResponse(juzu.impl.request.Method<Phase.View> target)`
    `Response.View` | `createResponse(juzu.impl.request.Method<Phase.View> target, Object arg)`
    `Response.View` | `createResponse(juzu.impl.request.Method<Phase.View> target, Object[] args)`
    `ClientContext` | `getClientContext()`
    `Phase.Action` | `getPhase()`

    - ### Methods inherited from class juzu.request.RequestContext

      `createActionDispatch, createActionDispatch, createActionDispatch, createDispatch, createResourceDispatch, createResourceDispatch, createResourceDispatch, createViewDispatch, createViewDispatch, createViewDispatch, getApplicationContext, getExecutor, getHttpContext, getMethod, getParameters, getProperty, getResponse, getSecurityContext, getUserContext, setResponse`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ActionContext

          public ActionContext(juzu.impl.request.Request request,
                       juzu.impl.request.Method method,
                       juzu.impl.bridge.spi.ActionBridge bridge)

  - ### Method Detail

    - #### getClientContext

          public ClientContext getClientContext()

    - #### getPhase

          public Phase.Action getPhase()

      Specified by:
        `getPhase` in class `RequestContext`

    - #### createResponse

          public Response.View createResponse(juzu.impl.request.Method<Phase.View> target)
                                       throws IllegalStateException

      Throws:
        `IllegalStateException`

    - #### createResponse

          public Response.View createResponse(juzu.impl.request.Method<Phase.View> target,
                                     Object arg)
                                       throws IllegalStateException

      Throws:
        `IllegalStateException`

    - #### createResponse

          public Response.View createResponse(juzu.impl.request.Method<Phase.View> target,
                                     Object[] args)
                                       throws IllegalStateException

      Throws:
        `IllegalStateException`

Copyright © 2013 eXo Platform SAS. All Rights Reserved.